View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17716Bug reportsComfortUpdatepublic2021-12-01 09:28
ReporterMazi Assigned Toc_schmitz  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version3.19.3 
Summary17716: When running ComfortUpdate at v3.19 it only offers LS5.x. Updating to the latest 3.x version is not possible
DescriptionI just wanted to update a customer's 3.19.3 system to the latest 3.x release. After having entered a ComfortUpdate key, I am ONLY presented with the option to go directly to version 5.x. This is NOT intended because we want to stay at the 3.x LTS version. But that option is not offered, see screenshot.
When trying to update from Version 3.27.3+210615, 5.x AND 3.x are shown as options
Steps To ReproduceSteps to reproduce
------------------------------
Run ComofrtUpdate an 3.19.3

Expected result
-------------------------
See 3.x and 5.x as options

Actual result
-----------------
Only v5.x is offered to update to.

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)Version 3.19.3+191023
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMySQL 5
Server OS (if known)Ubuntu 18
Webserver software & version (if known)Apache 2.0
PHP Version7.3

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

Mazi

Mazi

2021-11-11 11:31

partner  

image.png (52,226 bytes)   
image.png (52,226 bytes)   
ollehar

ollehar

2021-11-11 11:35

administrator   ~67248

Strange. @c_schmitz, known issue?
jelo

jelo

2021-11-11 14:35

partner   ~67252

If the system hasn't changed the ComfortUpdate offering has to be whitelisted for your version/build number.
Looks like the older versions are not on the list.

I was able to get offerings e,g. for Version 3.23.7+201006 ComfortUpdate:
3.27.24 (211108) labeled as unstable
5.2.0 (211110) labeled as stable
Mazi

Mazi

2021-11-11 16:49

partner   ~67257

@ollehar, @c_schmitz, would it be possible to (temporarily) add the mentioned version to the supported list?
c_schmitz

c_schmitz

2021-11-11 19:09

administrator   ~67260

The issue is now fixed. This was not bound to a certain LS3 version, but a range of versions.
All current and future 3.x versions now should be offered the latest 3.x, as well as the latest 5.x.
Mazi

Mazi

2021-11-12 09:31

partner   ~67265

Thanks for the fast fix!

I now see the update available. When trying to run it, I get this error at step 3, see screenshot:
"Server error!
An error occured while creating your update package file. Please contact the LimeSurvey team."

I have seen the same error at various updates. The simply solution is to just run the update again. That has always worked fine. So question is: What is causing this? Should we add a note like "Please try again."? Because this always works at the second run, in this case as well, see screenshot.
image-2.png (13,603 bytes)   
image-2.png (13,603 bytes)   
image-3.png (28,058 bytes)   
image-3.png (28,058 bytes)   
jelo

jelo

2021-11-12 10:39

partner   ~67272

I can second that issue. That is not always the case, but I have seen this from time to time.
Mazi

Mazi

2021-11-15 14:17

partner   ~67329

@c_schmitz, for old 2.06 version only LS v5.x is offered as an update, see screenshot. Is that intended or should we also offer 3.x?
image-4.png (20,131 bytes)   
image-4.png (20,131 bytes)   
c_schmitz

c_schmitz

2021-11-15 14:32

administrator   ~67330

Last edited: 2021-11-15 14:38

View 2 revisions

That is intended.
I will look into the server error thing.
c_schmitz

c_schmitz

2021-12-01 09:28

administrator   ~67628

New version released

Issue History

Date Modified Username Field Change
2021-11-11 11:31 Mazi New Issue
2021-11-11 11:31 Mazi File Added: image.png
2021-11-11 11:35 ollehar Note Added: 67248
2021-11-11 11:35 ollehar Bug heat 0 => 2
2021-11-11 14:35 jelo Note Added: 67252
2021-11-11 14:35 jelo Bug heat 2 => 4
2021-11-11 16:49 Mazi Note Added: 67257
2021-11-11 16:49 Mazi Bug heat 4 => 6
2021-11-11 17:46 c_schmitz Assigned To => c_schmitz
2021-11-11 17:46 c_schmitz Status new => assigned
2021-11-11 19:09 c_schmitz Status assigned => resolved
2021-11-11 19:09 c_schmitz Resolution open => fixed
2021-11-11 19:09 c_schmitz Note Added: 67260
2021-11-11 19:09 c_schmitz Bug heat 6 => 8
2021-11-12 09:31 Mazi Note Added: 67265
2021-11-12 09:31 Mazi File Added: image-2.png
2021-11-12 09:31 Mazi File Added: image-3.png
2021-11-12 10:39 jelo Note Added: 67272
2021-11-15 14:17 Mazi Note Added: 67329
2021-11-15 14:17 Mazi File Added: image-4.png
2021-11-15 14:32 c_schmitz Note Added: 67330
2021-11-15 14:38 c_schmitz Note Edited: 67330 View Revisions
2021-12-01 09:28 c_schmitz Note Added: 67628
2021-12-01 09:28 c_schmitz Status resolved => closed